Subject: Re: Anyone got patches for V GUI?
From: [email-masked] (Mikey)

2 Jul 1997 11:43:39 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Original-To: "D. Jeff Dionne" <[email-masked]>, [email-masked]
In-Reply-To: <[email-masked]>
X-Mailer: Forte Agent 1.01/32.397
Original-Sender: [email-masked]

One reason that you may be experiencing stability problems, is
that you cannot specify the same .dll multiple times on the link line.

So if for example -lkernel32 is in your specs file, and you link with
-lkernel32 on the command line, or in a makefile, your executable
won't work properly.

This bug was reported, and discussed pretty extensively several
months ago, (early B17.1), and I believe it still causes problems
under B18.

On Tue, 1 Jul 1997 17:50:55 -0400 (EDT), you wrote:

>> 
>> On Tue, 1 Jul 1997, D. Jeff Dionne wrote:
>> 
>> > Back around b14, the V GUI kit was ported/bundled with cygwin32.  Has anyone
>> > managed to maintain that, or perhaps have the old patches still kicking
>> > about that I can try? 
>> >
>> 
>> I have a document listing all changes needed to V GUI and Cygwin32 and a
>> complete list of all of the makefiles needed to compile V GUI smoothly on
>> Windows95.  The changes to Cygwin32 are very minimal, adding a couple of
>> extra defines in two .h files and changing the name of one file.  (The
>> string.c vs String.c problem.)  There are maybe half a dozen changes
>> needed for the V GUI source code.  (1.16 for Windows)
>
>Oh, that would be great :-)  Can you send me a copy of that (or point me
>at it)?
>
>> 
>> However, I am still using beta 17.1 of the Cygwin32.  I did not
>> particularly feel like going through the hassel of updating and debugging
>> to 18.0 as the portion of 17.1 that I am using works fine for my class and
>> personal projects.
>> 
>
>I would imagine that there is not much changed that would affect V.
>If there are changes, I'll make a note of them.
>
>[chop]
>> Your instability problems are probably in part due to the fact that the
>> makefiles given with the V GUI package link against the wrong libraries.
>> Several of the test programs would crash instantly every time they started
>> until I switched libraries.
>> 
>
>-lV -lcygwin -lcomdlg32 -lkernel32 -luser32 -ladvapi32 -lgdi32
>
>This combination _definately_ builds useless executables.  The program dies
>with an unhandled page fault, and bash says something about waiting for
>multiple ... failed.
>
>-lV -lgdi32 -luser32
>
>Produces an .exe that works, provided you don't use something that needs
>comdlg32 (which, as soon as that's linked in, causes the above problem).
>Now, that doesn't mean that all's well, it just means the thing will start
>up.  Drawing filled rectangles, for instance, will cause an executable
>built this way to hang.
>
>> One glitch I have found is that the V GUI will only display ONE task bar
>> in the Windows95 environment.  There is space set aside for any additional
>> ones, but they are blank.  The same code works fine under AIX.
>
>(You mean Toolbar, I guess).  I get _no_ toolbar at all.  On Linux, the
>same code shows the correct toolbar.
>
>> 
>> 
>> If anyone is interested, I can mail you the list of changes and all of the
>> makefiles.  I can send them as text attachements or I can use pkzip or
>> GNUzip to compress them into one file and then send that.
>> 
>
>Yes, please :-)  That would be a great help.
>
>Cheers,
>Jeff.
>
>> 
>> 
>> See ya around the Mulberry bush.
>> 
>> --James
>> 
>> :)
>> 
>> -
>> For help on using this list (especially unsubscribing), send a message to
>> "[email-masked]" with one line of text: "help".
>> 
>
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".